package simpleanimation;
import java.awt.event.*;

import javax.swing.*;

public class BouncingBallAnimationListener implements ActionListener {
	
	private SimpleShape shape;
	private int maxBoundX;
	private int maxBoundY;
	private int step;
	
	JFrame window;	
	
	private int signX=1;
    private int signY=1;
	
	BouncingBallAnimationListener(SimpleShape shape, int step, JFrame window )
	{
		this.shape=shape;
		this.step=step;
		this.maxBoundX=window.getContentPane().getWidth();
		this.maxBoundY=window.getContentPane().getHeight();
		
		this.window=window;
	}
	
	public void actionPerformed(ActionEvent e) {
		 
       if(shape==null)
    	   return;
		if(shape.getX()+shape.getWidth()+this.step >= this.maxBoundX)
			signX=-1;
		else if (shape.getX() -this.step<=0)
			signX=1;
		if(shape.getY()+shape.getHeight()+this.step >= this.maxBoundY)
			signY=-1;
		else if (shape.getY() -this.step<=0)
			signY=1;
		shape.changeLocation(signX*step, signY*step);
	
		window.repaint();
    }
}
