package simpleanimation;

import java.awt.event.*;
import javax.swing.*;

public class FishAnimationListener implements ActionListener {
	
	private SimpleShape shape;
	private int maxBoundX;
	private int maxBoundY;
	private int step;
	
	JFrame window;	
	
	private int signX=1;    
	
    FishAnimationListener(SimpleShape shape, int step, JFrame window )
	{
		this.shape=shape;
		this.step=step;
		this.maxBoundX=window.getContentPane().getWidth();
		this.maxBoundY=window.getContentPane().getHeight();
		
		this.window=window;
	}
	
	public void actionPerformed(ActionEvent e) {
		 
       if(shape==null)
    	   return;
		if(shape.getX()+shape.getWidth()+this.step >= this.maxBoundX)
		{
			signX=-1;
			shape.setRotation(Math.PI);
		}
		else if (shape.getX() -this.step<=0)
		{
			signX=1;
			shape.setRotation(0);
		}
		
		shape.changeLocation(signX*step, 0);
	
		window.repaint();
    }
}
